import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.Location;
import org.bukkit.World;

class Mauer extends Viereckig{
    public Mauer(int hoehe, int breite, Material material){
        super(hoehe, breite, material);
    }

    public void bauen(Player spieler){
        Location position = spieler.getLocation();
        World welt = spieler.getWorld();
        
        double yStart = position.getY();
        double zStart = position.getZ();
        
        position.setX(position.getX() + 2);
        
        for(int y = 0; y < this.hoehe; y++){
            position.setY(yStart + y);
            
            for(int z = 0; z < this.breite; z++){
                position.setZ(zStart + z);
                welt.getBlockAt(position).setType(this.material);
            }
        }
    }
}