import java.io.File;
import java.io.IOException;
import org.bukkit.configuration.file.YamlConfiguration;
import org.bukkit.plugin.java.JavaPlugin;

public class ZaehlPlugin extends JavaPlugin { 
    public void onEnable() {
        this.saveResource("config.yml", false);
        
        File datei = new File(this.getDataFolder(), "config.yml");
        YamlConfiguration config = YamlConfiguration.loadConfiguration(datei);
        
        int zaehler = config.getInt("zaehler") + 1;
        this.getLogger().info("Der Server wird zum " + String.valueOf(zaehler) + "-ten Mal gestartet.");

        config.set("zaehler", zaehler);
        try {
            config.save(datei);
        }
        catch(IOException e){
            e.printStackTrace();
        }
    }
 
    public void onDisable() {
    }
}