import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerPickupItemEvent;

public class PickupListener implements Listener {
    Sammelspiel plugin;
    
    public PickupListener(Sammelspiel plugin){
        this.plugin = plugin;
    }
    
    @EventHandler
    public void onEvent(PlayerPickupItemEvent event){
        Player spieler = event.getPlayer();

        if(event.getItem().getItemStack().getType() == plugin.gesuchterGegenstand){
            plugin.gesammelt.put(spieler.getUniqueId(), plugin.gesammelt.get(spieler.getUniqueId()) + 1);
        
            if(plugin.gesammelt.get(spieler.getUniqueId()) >= plugin.anzahl){
                spieler.sendMessage("Herzlichen Glueckwunsch, du hast die Runde gewonnen!");
                spieler.giveExp(50);
                plugin.neueRundeStarten();
            }
            else{
                spieler.sendMessage("Du musst noch " + String.valueOf(plugin.anzahl-plugin.gesammelt.get(spieler.getUniqueId())) + " Gegenstaende sammeln.");
            }
        }    
    }
}