import java.util.HashMap;
import java.util.TreeMap;
import java.util.UUID;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.plugin.PluginManager;
import org.bukkit.plugin.java.JavaPlugin;


public class Schneeballschlacht extends JavaPlugin {
    HashMap<UUID, Integer> punktestand;
    
    public void onEnable() {
        punktestand = new HashMap<UUID, Integer>();
        
        PluginManager pluginManager = this.getServer().getPluginManager();
        
        JoinListener joinListener = new JoinListener();
        pluginManager.registerEvents(joinListener, this);
        
        RespawnListener respawnListener = new RespawnListener();
        pluginManager.registerEvents(respawnListener, this);
        
        WurfListener wurfListener = new WurfListener();
        pluginManager.registerEvents(wurfListener, this);
        
        TrefferListener trefferListener = new TrefferListener(punktestand);
        pluginManager.registerEvents(trefferListener, this);
    }
    
    public void onDisable() {
    }
    
    public boolean onCommand(CommandSender sender, Command befehl, String befehlsname, String[] args){
        Vergleich verg =  new Vergleich(punktestand);
        TreeMap<UUID, Integer> map = new TreeMap<UUID, Integer>(verg);
        map.putAll(punktestand);

        UUID[] spielerListe = map.keySet().toArray(new UUID[map.size()]);
        
        for(int i = 0; i < spielerListe.length; i++){
            if(this.getServer().getPlayer(spielerListe[i]) != null){
                String spielerName = this.getServer().getPlayer(spielerListe[i]).getDisplayName();
                sender.sendMessage((i+1)+ ": " + spielerName + " (" + punktestand.get(spielerListe[i]) + ")");
            }
        }

        return true;
    }
}