import org.bukkit.Material;
import org.bukkit.plugin.java.JavaPlugin;
import org.bukkit.Location;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.bukkit.World;
import org.bukkit.block.Block;
import org.bukkit.block.BlockFace;
import org.bukkit.block.BlockState;
import org.bukkit.material.Door;
import org.bukkit.material.MaterialData;
import org.bukkit.material.Bed;

public class NotunterkunftPlugin extends JavaPlugin {
    public void onEnable(){
    }

    public void onDisable(){
    }
    
    public boolean onCommand(CommandSender sender, Command befehl, String befehlsname, String[] args){
        if(sender instanceof Player){
            Player spieler = (Player) sender;
            World welt = spieler.getWorld();
            
            Location pos = spieler.getLocation();
            Location aussenQuaderPosition = new Location(welt, pos.getX()+4, pos.getY(), pos.getZ());
            Location innenQuaderPosition = new Location(welt, pos.getX()+5, pos.getY(), pos.getZ()+1);
            
            Quader aussen = new Quader(4, 10, 10, Material.BRICK );
            Quader innen  = new Quader(3, 8, 8, Material.AIR);
            
            aussen.bauen(spieler, aussenQuaderPosition);
            innen.bauen(spieler, innenQuaderPosition);

            //Tuer platzieren
            pos = spieler.getLocation();
            pos.setX(pos.getX() + 9);

            Block tuerUntenBlock = welt.getBlockAt(pos);
            tuerUntenBlock.setType(Material.WOODEN_DOOR);
            
            BlockState tuerUntenStatus = tuerUntenBlock.getState();
            MaterialData tuerUntenDaten = tuerUntenStatus.getData();
            
            Door tuerUnten = (Door) tuerUntenDaten;
            tuerUnten.setFacingDirection(BlockFace.NORTH);
            
            tuerUntenStatus.setData(tuerUnten);
            tuerUntenStatus.update(true);
            
            Block tuerObenBlock = tuerUntenBlock.getRelative(BlockFace.UP);
            tuerObenBlock.setType(Material.WOODEN_DOOR);
            
            BlockState tuerObenStatus = tuerObenBlock.getState();
            MaterialData tuerObenDaten = tuerObenStatus.getData();

            Door tuerOben = (Door) tuerObenDaten;
            tuerOben.setTopHalf(true);
            tuerOben.setHinge(false);
            
            tuerObenStatus.setData(tuerOben);
            tuerObenStatus.update(true);

            //Bett platzieren
            pos = spieler.getLocation();
            pos.setX(pos.getX() + 9);
            pos.setZ(pos.getZ() + 7);
            
            Block bettFussBlock = welt.getBlockAt(pos);
            bettFussBlock.setType(Material.BED_BLOCK);
            
            BlockState bettFussStatus = bettFussBlock.getState();
            MaterialData bettFussDaten = bettFussStatus.getData();
            
            Bed bettFuss = (Bed) bettFussDaten;
            bettFuss.setFacingDirection(BlockFace.SOUTH);
            
            bettFussStatus.setData(bettFuss);
            bettFussStatus.update(true);
            
            Block bettKopfBlock = bettFussBlock.getRelative(BlockFace.SOUTH);
            bettKopfBlock.setType(Material.BED_BLOCK);
            
            BlockState bettKopfStatus = bettKopfBlock.getState();
            MaterialData bettKopfDaten = bettKopfStatus.getData();
            
            Bed bettKopf = (Bed) bettKopfDaten;
            bettKopf.setFacingDirection(BlockFace.SOUTH);
            bettKopf.setHeadOfBed(true);
            
            bettKopfStatus.setData(bettKopf);
            bettKopfStatus.update(true);

            //Fackel platziert
            pos.setY(pos.getY() + 2);
            Block fackelBlock = welt.getBlockAt(pos);
            fackelBlock.setTypeIdAndData(Material.TORCH.getId(), (byte) 2, true);
        }
        else{
            this.getLogger().info ("Dieser Befehl kann nur von Spielern ausgefuehrt werden.");
        }

        return true;
    }
}