import java.io.Serializable;
import java.util.Map;
import java.util.UUID;
import org.bukkit.Location;

public class SchilderEintrag implements Serializable {
    private static final long serialVersionUID = 1L;
    private Map<String,Object> position;
    private UUID besitzer;

    public SchilderEintrag(Location position, UUID besitzer){
        this.position = position.serialize();
        this.besitzer = besitzer;
    }

    public Location getPosition(){
        return Location.deserialize(position);
    }

    public UUID getBesitzer(){
        return this.besitzer;
    }
}