import java.util.HashMap;
import java.util.UUID;

import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.inventory.ItemStack;

public class JoinListener implements Listener {
    HashMap<UUID, Integer> gesammelt;
    Material gesuchterGegenstand;
    int anzahl;
    
    public JoinListener(HashMap<UUID, Integer> gesammelt, Material gesuchterGegenstand, int anzahl){
        this.gesammelt = gesammelt;
        this.gesuchterGegenstand = gesuchterGegenstand;
        this.anzahl = anzahl;
    }
    
    @EventHandler
    public void onEvent(PlayerJoinEvent event){
        Player spieler = event.getPlayer();
        gesammelt.put(spieler.getUniqueId(), 0);
        ItemStack g = new ItemStack(gesuchterGegenstand);  
        spieler.sendMessage("Willkommen! Auf diesem Server wird das Sammelspiel gespielt. Sammle " + anzahl + " " + g.getItemMeta().getDisplayName() + ", um zu gewinnen!");
    }
}